
# propertyPageCreator --
#    The estraStuff hook is added to process the icon attribute

class propertyPageCreator {
    inherit structureCreator
    method processSyntax
    method extraStuff
    method createObject
}

 
body propertyPageCreator::createObject {token xuiBuilder} {
  if [string length [set parentName [$xuiBuilder cget -currentParentName]]] {
              set name $parentName.[dom::getAttribute $token name]
  } else {
             set name ::#auto
  }                        
  return [xuiPropertyPage $name]
}
      

body propertyPageCreator::processSyntax { token object xuiBuilder} {
     $object setAlign [dom::getAttribute $token align]
foreach component [dom::getElements $token] {
   $xuiBuilder configure -currentParentName $object
$object addComponent [ $xuiBuilder handleObject $component]
}
}

body propertyPageCreator::extraStuff {token object xuiBuilder} {
        if [llength [set w [dom::getAttribute $token icon]]] {
           $object configure -icon $w
        }
}

